Task Templates - Approvals API
Task Templates - Approvals API
Заголовок раздела «Task Templates - Approvals API»List all approvals of a task template
Заголовок раздела «List all approvals of a task template»List all approvals of the task template with a specific ID:
GET /task_templates/:id/approvalsResponse
Заголовок раздела «Response»Status: 200 OK[ { "approver": { "id": 6, "name": "Howard Tanner", "account": { "id": "pro-product", "name": "Widget International" } }, "id": 2, "planned_effort": 240 }, { "approver": { "id": 82, "name": "Beatrice Baldwin", "account": { "id": "pro-product", "name": "Widget International" } }, "id": 24, "planned_effort": 180 }, "..."]The response contains these fields by default.
Add an approval to a task template
Заголовок раздела «Add an approval to a task template»Add an approval to a task template with a specific ID.
POST /task_templates/:id/approvalsWhen creating a new approval for a task template these fields are available.
Response
Заголовок раздела «Response»Status: 201 Created{ "approver": { "id": 50378, "name": "Matt Leach" }, "id": 16093, "planned_effort": 180}Update an approval of a task template
Заголовок раздела «Update an approval of a task template»Update an approval of a task template with a specific ID.
PATCH /task_templates/:id/approvals/:approval_idWhen updating an existing approval for a task template these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "planned_effort": 180, "...": "..."}Remove an approval from a task template
Заголовок раздела «Remove an approval from a task template»Remove an approval with a specific ID from a task template with a specific ID.
DELETE /task_templates/:id/approvals/:approval_idResponse
Заголовок раздела «Response»Status: 204 No ContentRemove all approvals from a task template
Заголовок раздела «Remove all approvals from a task template»Remove all approval from a task template with a specific ID.
DELETE /task_templates/:id/approvals/Response
Заголовок раздела «Response»Status: 204 No Contentapprover
Required reference to Person — The ID of the person who is selected as the approver for the task template approval.
id
Readonly integer — The unique ID of the task template approval.
planned_effort
Optional integer (max 600000) — The Planned effort field is used to enter the number of minutes the approver is expected to spend working on a task that was created based on the task template to which the approval belongs.